[node]
; mandatory
; optional fields: mode (=online), publication-frequency-seconds (=60), authorizeChildrenContext (=false)
mode = offline
hostname = localhost
protocol= https
port = 8080
infrastructure = gcube
authorizeChildrenContext = true
publicationFrequencyInSeconds = 60

[properties]
; not mandatory
SmartGearsDistribution = 4.0.0-SNAPSHOT
SmartGearsDistributionBundle = 4.0.0-SNAPSHOT

[site]
; mandatory
; optional fields: latitude, logitude
country = it
location = rome

;[proxy]
; not mandatory
;protocol = https
;hostname = proxy
;port = 80

[authorization]
; mandatory
; optional fields: provider (=org.gcube.smartgears.security.DefaultAuthorizationProvider)
provider = org.gcube.smartgears.security.DefaultAuthorizationProvider
credentials.class = org.gcube.smartgears.security.SimpleCredentials
credentials.clientID = testClient
credentials.secret = testSecret

;[persistence]
; not mandatory (default is LocalPersistence writing in the ghn home)
;class = utils.PersistenceWriterTest
;location = /tmp 
